View Javadoc

    1   /*
    2    *  Licensed to the Apache Software Foundation (ASF) under one
    3    *  or more contributor license agreements.  See the NOTICE file
    4    *  distributed with this work for additional information
    5    *  regarding copyright ownership.  The ASF licenses this file
    6    *  to you under the Apache License, Version 2.0 (the
    7    *  "License"); you may not use this file except in compliance
    8    *  with the License.  You may obtain a copy of the License at
    9    *
    10   *    http://www.apache.org/licenses/LICENSE-2.0
    11   *
    12   *  Unless required by applicable law or agreed to in writing,
    13   *  software distributed under the License is distributed on an
    14   *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    15   *  KIND, either express or implied.  See the License for the
    16   *  specific language governing permissions and limitations
    17   *  under the License.
    18   *
    19   */
    20  package org.apache.mina.statemachine.transition;
    21
    22  import org.apache.mina.statemachine.State;
    23  import org.apache.mina.statemachine.event.Event;
    24
    25  /**
    26   * {@link Transition} implementation which does nothing but change the state.
    27   *
    28   * @author <a href="http://mina.apache.org">Apache MINA Project</a>
    29   */
    30  public class NoopTransition extends AbstractTransition {
    31
    32      /**
    33       * Creates a new instance which will loopback to the same {@link State}
    34       * for the specified {@link Event} id.
    35       *
    36       * @param eventId the {@link Event} id.
    37       */
    38      public NoopTransition(Object eventId) {
    39          super(eventId);
    40      }
    41
    42      /**
    43       * Creates a new instance with the specified {@link State} as next state
    44       * and for the specified {@link Event} id.
    45       *
    46       * @param eventId the {@link Event} id.
    47       * @param nextState the next {@link State}.
    48       */
    49      public NoopTransition(Object eventId, State nextState) {
    50          super(eventId, nextState);
    51      }
    52
    53      protected boolean doExecute(Event event) {
    54          return true;
    55      }
    56
    57  }